
/*	LATCOM.H	*/

/*	Copyright (C) 1988 JXL Systems Inc.  All rights reserved.  */

/*	JXL Systems Inc. has placed this file, unmodified, in the public domain */

/* 

	Special macro definitions to provide uniformity among compilers.

	This header is used for the Lattice 3.x compilers.
	
*/

#define fnmerge(p,dr,di,f,e) \
	(strmfn(p,dr,di,f,(e[0] ? &(e[1]) : e)))
#define fnsplit(p,dr,di,f,e) \
	(strsfn(p,dr,di,f,e), \
	(di[0] ? strcat(di,"\\") : 0), \
	(e[0] ? (strins(e,"."),1) : 0))


#define MAKELONG( a, b )  \
    ( (long)( ((unsigned)a) | ((unsigned long)((unsigned)b)) << 16 ) )

#define MAKEFARBYTEPTR( offset, segment )  \
    ( (unsigned char far *)MAKELONG( offset, segment ) )

#define MAKEFARWORDPTR( offset, segment )  \
    ( (unsigned int far *)MAKELONG( offset, segment ) )

#ifdef LATTC3
#define	memmove(to,from,count)	memcpy(to,from,count)
#define itoa(n,a,r) (stci_d(a,n))
#define max(a,b)	(((a) > (b)) ? (a) : (b))
#define min(a,b)	(((a) < (b)) ? (a) : (b))
#define abs(a)		(((a) < 0) ? -(a) : (a))
#define	cgets(buf) \
	(regs.h.ah = 0x0a, regs.x.dx = FP_OFF(buf), sregs.ds = FP_SEG(buf), \
	intdosx(&regs, &regs, &sregs), buf[buf[1] + 2] = 0)
#endif




